<script setup>
import { useHead } from '@vueuse/head'

import { useAppConfig } from '@/composables/useAppConfig'
const appConfig = useAppConfig()

useHead({
  title: appConfig.title
})

const className = computed(() => {
  return `system-${appConfig.system || 'default'}`
})
</script>

<template>
  <RouterView :class="className" />
</template>

<style>
@import '@/assets/styles/base.css';
</style>
